uk.gov.hmrc.mongo.cache

# MongoCacheRepository

###
Related Docs: object MongoCacheRepository | package cache

#### class MongoCacheRepository[CacheId] extends PlayMongoCollection[CacheItem]

Linear Supertypes
PlayMongoCollection[CacheItem], MongoDatabaseCollection, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoCacheRepository
2. PlayMongoCollection
3. MongoDatabaseCollection
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MongoCacheRepository(mongoComponent: MongoComponent, collectionName: String, rebuildIndexes: Boolean = true, ttl: Duration, timestampSupport: TimestampSupport, cacheIdType: CacheIdType[CacheId])(implicit ec: ExecutionContext)

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val collection: MongoCollection[CacheItem]

   Definition Classes
     PlayMongoCollection

7. #### val collectionName: String

   Definition Classes
     PlayMongoCollection → MongoDatabaseCollection

8. #### def delete[A](cacheId: CacheId)(dataKey: DataKey[A]): Future[Unit]

9. #### def deleteEntity(cacheId: CacheId): Future[Unit]

10. #### def ensureIndexes: Future[Seq[String]]

    Definition Classes
      PlayMongoCollection

11. #### def ensureSchema: Future[Unit]

    Definition Classes
      PlayMongoCollection

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def get[A](cacheId: CacheId)(dataKey: DataKey[A])(implicit arg0: Reads[A]): Future[Option[A]]

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### val indexes: Seq[IndexModel]

    Definition Classes
      PlayMongoCollection → MongoDatabaseCollection

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### val optSchema: Option[BsonDocument]

    Definition Classes
      PlayMongoCollection

24. #### def put[A](cacheId: CacheId)(dataKey: DataKey[A], data: A)(implicit arg0: Writes[A]): Future[String]

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from PlayMongoCollection[CacheItem]

### Inherited from MongoDatabaseCollection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped